BANK KALTENG - Feature #1105

TM to Payroll (Pengurangan Gaji karena Sakit Khusus)
04/28/2022 02:06 PM - Mega Yunita

Status: Closed Start date: 04/28/2022
Priority: Urgent Due date: 05/17/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.50 hours
Description

Dear Mbak Yomma,

Mohon bantuannya untuk membuatkan function TM to Payroll untuk :

1. Absence Type Cuti Karena Sakit Khusus dengan kode 05

2. Nama wage type Pengurang Gaji Karena Sakit Khusus dengan kode D008
3. Pada table PHRPYTMTOPY :

- Variant 0004

- Figure C_PengurangGaji

- FieldTarget AdditionalField1

Dengan kondisi :

- Angka pengurang tersebut dari semua Wage Type yang ada di Reguler Payroll (PHRPA0004) dan Additional Payroll (PHRPAO005)
- Employee akan mendapat jatah cuti maksimal 2 tahun.

- 1 tahun pertama mendapat gaji 100%

- Tahun ke 2 akan mendapat gaji 50%

Port : http://103.168.134.28:31130/
Server : 103.168.134.119
DB : MinovaES_BankKalteng_Dev

Semoga dapat dimengerti

Terimakasih

History

#1 - 05/10/2022 02:26 PM - Mega Yunita

untuk contoh cuti dengan alasan sakit khusus :

EmployeelD : 10000194
EmployeeName : Anang Purwanto

TM to Payroll berlaku selama masa periode cuti. Jika kurang dari sebulan, tetap dihitung sebulan...

#2 - 05/12/2022 05:50 PM - Kezia Pawitra Yulianti
- Due date changed from 05/10/2022 to 05/17/2022

- Status changed from New to Assigned

#3 - 05/20/2022 02:15 PM - Tri Rizqgiaty

- File CBKTTMTOPYPOTGAJIAMOUNT.sql added

- File MinovalS.MinovaES.Implementation.BKT.Business. TMToPY Var1.dll added
- File clipboard-202205201414-a5cjk.png added

- Status changed from Assigned to Developing

Fixing :
1. Add SP CBKTTMTOPYPOTGAJIAMOUNT sesuai file terlampir

2. Update folder API1 & API2 - bin : MinovalS.MinovaES.Implementation.BKT.Business. TMToPYVar1.dll , file terlampir
3. Update table PHRPYTMTOPY - Field Figure = 'C_PengurangGaji', sesuai gambar dibawah
http://103.168.134.28:31130/

HRIS-DATABASE.Mi...g_Dev - dbo.SUSER HRIS-DATABASE.M...dbo.PHRPYTMTOPY + X |y Y TR e T )
Column Alias Table Outp... Sort Type Sort Order Filter Or...
StartDate PHRPYTM...
EndDate PHRPYTM...
Variant PHRPYTM... = '0004'
» Figure PHRPYTM... [~ 'CPengur..
FieldTarget PHRPYTM... [
FieldReference PHRPYTM...
Semience PHRPVTIA ¥l

CEKTTMTOPYPOTGAL..| - not connected

SELECT TOP (200) StartDate, EndDate, Variant, Figure, FieldTarget, FieldReference, Sequence, Extended, DLLName, MNameSpace, MethodMame, Status, Payroll, WageType, Flag, Currency, AbsenceCuota, AbsenceType, RefStore,

Format, Motes, CreateBy, CreateDate, ChangeBy, ChangeDate
FROM PHRPYTMTOPRY
WHERE (Variant = '0004) AMD (Figure = 'C_Pengurang(aji')

StartDate EndDate Variant Figure FieldTarget FieldReference Sequence Extended DLLMame MNameSpace MethodMName Btatus |
b 20160101 99991231 0004 C_PengurangGaji  AdditionalField1 29 Mingvals.Mino... MinovalS.Mino.. GetAmountPot. 1
. NULL NULL NULL NULL NULL NULL NULL NULL AL AL AL ULL A
<
1 of 1 3
#4 - 05/20/2022 02:15 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to Mega Yunita
#5 - 07/25/2022 02:41 PM - Mega Yunita
- Status changed from QA Test to Closed
Files
CBKTTMTOPYPOTGAJIAMOUNT .sq| 2.81 KB 05/20/2022 Tri Rizgiaty
MinovalS.MinovaES.Implementation.BKT.Business. TMToPYVar1.dll 16 KB 05/20/2022 Tri Rizgiaty
clipboard-202205201414-a5cjk.png 53.6 KB 05/20/2022 Tri Rizgiaty
